package sqlite;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.SQLException;
import java.sql.Statement;

public class SetUp {
	public static Connection initialize() throws Exception {
        Class.forName("org.sqlite.JDBC");
        Connection connection = DriverManager.getConnection("jdbc:sqlite:sample3.db");
		initializePerson(connection);
		initializeOccupation(connection);
		return connection;
	}

    private static void initializePerson(Connection connection) {
        try{
            Statement stat = connection.createStatement();
            stat.executeUpdate("drop table if exists Person;");
            stat.executeUpdate("create table Person (Id INTEGER PRIMARY KEY, Name TEXT, Phone TEXT);");
            stat.executeUpdate("insert into Person values('1', 'Susan', NULL);");
            PreparedStatement prep = connection.prepareStatement( "insert into Person values (?, ?, ?);");
            prep.setString(1, "2");
            prep.setString(2, "Rodger");
            prep.setString(3, "555-5555");
            prep.addBatch();
            prep.setString(1, "3");
            prep.setString(2, "Paul");
            prep.setString(3, "123-456");
            prep.addBatch();
            prep.setString(1, "10");
            prep.setString(2, "Alice");
            prep.setString(3, "801-422-2915");
            prep.addBatch();

            connection.setAutoCommit(false);
            prep.executeBatch();
            connection.setAutoCommit(true);
        }catch(SQLException sqlException) {
            System.err.println("Could NOT initialize Person");
        }
    }

    private static void initializeOccupation(Connection connection) {
        try{
            Statement stat = connection.createStatement();
            stat.executeUpdate("drop table if exists Occupation;");
            
            stat.executeUpdate("create table Occupation (Id INTEGER, Occupation TEXT);");
            
            PreparedStatement prep = connection.prepareStatement( "insert into Occupation values (?, ?);");
            prep.setString(1, "1");
            prep.setString(2, "Taylor");
            prep.addBatch();
            prep.setString(1, "2");
            prep.setString(2, "Astronaut");
            prep.addBatch();
            prep.setString(1, "3");
            prep.setString(2, "Politicion");
            prep.addBatch();
            prep.setString(1, "3");
            prep.setString(2, "Real Estate");
            prep.addBatch();
            prep.setString(1, "5");
            prep.setString(2, null);
            prep.addBatch();
  
            connection.setAutoCommit(false);
            prep.executeBatch();
            connection.setAutoCommit(true);
        }catch(SQLException sqlException) {
            System.err.println("Could NOT initialize Occupation");
        }
    }
}

