package sqlite;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.SQLException;
import java.sql.Statement;

public class SetUp2 {
	public static Connection initialize() throws Exception {
        Class.forName("org.sqlite.JDBC");
        Connection connection = DriverManager.getConnection("jdbc:sqlite:sample3.db");
		initializeStaff(connection);
		initializeStudent(connection);
		return connection;
	}

    private static void initializeStaff(Connection connection) {
        try{
            Statement stat = connection.createStatement();
            stat.executeUpdate("drop table if exists Staff;");
            stat.executeUpdate("create table Staff (Id INTEGER, Name TEXT, Phone TEXT);");
            PreparedStatement prep = connection.prepareStatement( "insert into Staff values (?, ?, ?);");
            prep.setString(1, "1");
            prep.setString(2, "Susan");
            prep.setString(3, "555-6666");
            prep.addBatch();
            prep.setString(1, "2");
            prep.setString(2, "Rodger");
            prep.setString(3, "555-5555");
            prep.addBatch();
            prep.setString(1, "3");
            prep.setString(2, "Paul");
            prep.setString(3, "123-456");
            prep.addBatch();
            prep.setString(1, "4");
            prep.setString(2, "Alice");
            prep.setString(3, "801-422-2915");
            prep.addBatch();

            connection.setAutoCommit(false);
            prep.executeBatch();
            connection.setAutoCommit(true);
        }catch(SQLException sqlException) {
            System.err.println("Could NOT initialize Staff");
        }
    }

    private static void initializeStudent(Connection connection) {
        try{
            Statement stat = connection.createStatement();
            stat.executeUpdate("drop table if exists Student;");
            stat.executeUpdate("create table Student (Id INTEGER, Name TEXT, Phone TEXT);");
            PreparedStatement prep = connection.prepareStatement( "insert into Student values (?, ?, ?);");
            prep.setString(1, "1");
            prep.setString(2, "Susan");
            prep.setString(3, "555-6666");
            prep.addBatch();
            prep.setString(1, "2");
            prep.setString(2, "James");
            prep.setString(3, "373-2281");
            prep.addBatch();
            prep.setString(1, "3");
            prep.setString(2, "Paul");
            prep.setString(3, "123-456");
            prep.addBatch();
            prep.setString(1, "4");
            prep.setString(2, "Alice");
            prep.setString(3, "801-422-2915");
            prep.addBatch();

            connection.setAutoCommit(false);
            prep.executeBatch();
            connection.setAutoCommit(true);
        }catch(SQLException sqlException) {
            System.err.println("Could NOT initialize Student");
        }
    }
}

