package sqlite;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

public class SimpleSelect {
 
    public static void main(String[] args) throws Exception {
        Connection connection = SetUp.initialize();

        Statement stat = connection.createStatement();

        Table.print(connection, "Person");
        System.out.println();
        Table.print(connection, "Occupation");
        
        String[][] columnInfo = {{"ID", "INTEGER"}, {"Occupation", "TEXT"}};
        

	    try{
	        ResultSet rs = stat.executeQuery("select * from Occupation where Id = '3';");
		    System.out.println("\n\nselect * from Occupation where Id = '3'; = ");
	        QueryResult.print(rs, columnInfo);

	        rs.close();
	    }catch(SQLException sqlException) {
	        System.err.println("Could Perform Query 1");
	    }

	    try{
	        ResultSet rs = stat.executeQuery("select * from Occupation where Id = '3' or Occupation = 'Taylor';");
		    System.out.println("\n\nselect * from Occupation where Id = '3' or Occupation = 'Taylor'; = ");
	        QueryResult.print(rs, columnInfo);

	        rs.close();
	    }catch(SQLException sqlException) {
	        System.err.println("Could Perform Query 2");
	    }

	    try{
	        ResultSet rs = stat.executeQuery("select * from Occupation where Id = '3' or Occupation is null;");
		    System.out.println("\n\nselect * from Occupation where Id = '3' or Occupation is null; = ");
	        QueryResult.print(rs, columnInfo);

	        rs.close();
	    }catch(SQLException sqlException) {
	        System.err.println("Could Perform Query 3");
	    }
	    
        connection.close();
    }
}

