package sqlite;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

/**
 * These are designed to allow you to map your 236 knowledge to SQL.
 * We don't really use relational operations as taught in 236 to manipulate
 * real databases.
 */
public class UnionIntersectionDifference {
 
    public static void main(String[] args) throws Exception {
        Connection connection = SetUp2.initialize();

        Statement stat = connection.createStatement();

        Table.print(connection, "Staff");
        System.out.println();
        Table.print(connection,  "Student");
        System.out.println();
        
        String[][] columnInfo1 = {{"Id", "INTEGER"}, {"Name", "TEXT"}, {"Phone", "TEXT"}};

	    try{
	        ResultSet rs = stat.executeQuery("select Id,Name,Phone from Staff UNION select Id,Name,Phone from Student;");
	        System.out.println("\n\nUnion operator implementation.");
		    System.out.println("select Id,Name,Phone from Staff UNION select Id,Name,Phone from Student; = ");
	        QueryResult.print(rs, columnInfo1);

	        rs.close();
	    }catch(SQLException sqlException) {
	        System.err.println("Could NOT Perform Query 1");
	        System.err.println(sqlException);
	    }

	    try{
	        ResultSet rs = stat.executeQuery("select Id,Name,Phone from Staff EXCEPT select Id,Name,Phone from Student;");
	        System.out.println("\n\nDifference operator implementation.");
		    System.out.println("select Id,Name,Phone from Staff EXCEPT select Id,Name,Phone from Student; = ");
	        QueryResult.print(rs, columnInfo1);

	        rs.close();
	    }catch(SQLException sqlException) {
	        System.err.println("Could NOT Perform Query 2");
	        System.err.println(sqlException);
	    }
        

	    try{
	        ResultSet rs = stat.executeQuery("select Id,Name,Phone from Staff INTERSECT select Id,Name,Phone from Student;");
	        System.out.println("\n\nIntersection operator implementation.");
		    System.out.println("select Id,Name,Phone from Staff INTERSECT select Id,Name,Phone from Student; = ");
	        QueryResult.print(rs, columnInfo1);

	        rs.close();
	    }catch(SQLException sqlException) {
	        System.err.println("Could NOT Perform Query 3");
	        System.err.println(sqlException);
	    }

        connection.close();
    }
}

